返回 登录
0

BDR现在支持PostgreSQL 9.6版本:不需要补丁

阅读4642

我很高兴地向大家宣布,Postgres-BDR将要支持PostgreSQL 9.6版本了。更赞的是,它不再需要补丁。

BDR一直以来都是作为一个扩展,但是在9.4版本中需要大量的补丁支持,这些补丁不是简单的磁盘文件格式。我们的目标是让它作为一个扩展存在,可以与未修补过的的PostgreSQL配合工作,现在我们终于做到了!

多年来我们在2ndQuadrant上做的努力终于有了回报,大量补丁从BDR迁移到PostgreSQL中。PostgreSQL 9.6没有但是在PostgreSQL 9.4的BDR中有的补丁,只有驱动全局队列的队列访问方法了。

这意味着,PostgreSQL-BDR 9.6不会支持全局队列,至少不会和9.4的支持一样。9.6版将会合并一个分布式系统的队列处理系统,当在产品中使用全局队列时可能会发生异常。

Postgres-BDR在9.6版本中已经通过了回归测试,预计PostgreSQL 9.6发布不久,就会有Alpha版本发布。

随着 PostgreSQL 9.6的发布,pglogical 1.2.0也会发布响应的更新。

同时,Petr也提交了对PostgreSQL核心的逻辑替换版本,即10.0开发系列。

为了和9.6版本的统一性,Postgres-BDR的HA能力还需要加强,我将会在接下来的博客中说这件事。

我们将会忙于2ndQuadrant方面的工作。

原文BDR is coming to PostgreSQL 9.6
作者: craig.ringer 翻译赖信涛 责编:仲培艺

评论